Name:		kbfx
Version:	0.4.9.3.1
Release:	%mkrel 2
Summary:	A kicker bar menu button replacement for KDE
#from:	http://www.kde-look.org/content/show.php?content=24898
URL:		http://www.kbfx.org/
Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
#from: http://www.kde-apps.org/content/show.php?content=26501
Source1:	26501-mandriva-kbfx-pack.zip
BuildRequires:	kdelibs-devel
BuildRequires:	cmake
BuildRequires:	automake
License:	GPLv2
Group:		Graphical desktop/KDE
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
KBFX is an alternative to the classical K-Menu button and its menu. It
improves the user experience by enabling the user to set a bigger (and
thus more visible) start button and by replacing the Win95-like K-Menu
with the Spinx bar. If you still want the old menu, because you're
used to it, it is still available as an option in KBFX.

To activate:
1. Right-click the current menu applet, and select Remove->Applet->Menu
2. Right-click kicker bar, select Add->Applet->kbfx
3. Turn off applet handles (right-click kicker->Configure Panel->Layout->
   Appearance->Advanced Options->Applet Handles->Hide)

Additional theme images are provided in %{_datadir}/%{name}, drag and
drop an image from Konqueror onto the applet to change themes.

%package devel

Summary:	Development headers for kbfx
Group:		Development/C
Requires:	%{name} = %{version}-%{release}

%description devel
KBFX is an alternative to the classical K-Menu button and its menu.
This package contains development headers for building against KBFX.

%prep
%setup -q -a 1 
#-n %{name}-%(echo %version|sed -e 's/^0\.//g') -a 1

%build
%cmake

%install
rm -Rf %{buildroot}
pushd build
%makeinstall_std
popd
rm -rf %{buildroot}%{_docdir}/%{name}-%{version}

themehome=home/adrian/mandriva-kbfx-pack/
install -d %{buildroot}%{_iconsdir}/crystalsvg/22x22/apps/
install $themehome/xp.png %{buildroot}%{_iconsdir}/crystalsvg/22x22/apps/
install -d %{buildroot}/%{_datadir}/%{name}/{button-themes,bar-themes}
cp -a $themehome/{blk-mandriva,kicker-backgrounds,mandriva-start-kbfx-2} %{buildroot}/%{_datadir}/%{name}/button-themes
#cp -a theme/New_terminator/terminator %{buildroot}/%{_datadir}/%{name}/bar-themes

%{find_lang} kbfxconfigapp

%clean 
rm -Rf %{buildroot}

%files -f kbfxconfigapp.lang
%defattr(-,root,root)
%doc doc/{AUTHORS,CREDITS,ChangeLog,HOWTO,KNOWN_BUGS,LICENSE,NEWS,README,TODO}
%{_libdir}/%{name}
%{_libdir}/kde3/*.so
%{_libdir}/kde3/*.la
%{_libdir}/*.so
%{_libdir}/*.la
%{_datadir}/apps/kicker/applets/*.desktop
%{_datadir}/%{name}
%{_datadir}/applications/kde/*.desktop
%{_datadir}/apps/kbfxconfigapp
%{_datadir}/apps/konqueror/servicemenus/*.desktop
%{_datadir}/mimelnk/application/*.desktop
%{_docdir}/HTML/en/common/*
%{_docdir}/HTML/en/kbfxconfigapp
%{_bindir}/kbfxconfigapp
%{_datadir}/apps/%{name}
%{_datadir}/icons/crystalsvg/*/*/*.png
%{_datadir}/icons/hicolor/*/*/*.png

%files devel
%defattr(-,root,root)
%doc doc/HACKING
%{_includedir}/%{name}


%changelog
* Mon Jan 28 2008 Adam Williamson <awilliamson@mandriva.com> 0.4.9.3.1-2mdv2008.1
+ Revision: 159256
- fix #31377 (owns /usr/lib/kde3)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 07 2007 Adam Williamson <awilliamson@mandriva.com> 0.4.9.3.1-1mdv2008.1
+ Revision: 106817
- rebuild for new era
- clean and update file list
- use %%cmake macro
- drop all patches (applied upstream or irrelevant due to upstream changes)
- add -devel package for headers
- improve description (from upstream spec)
- update buildrequires
- new license policy
- new release 0.4.9.3.1

  + Per Øyvind Karlsen <pkarlsen@mandriva.com>
    - Import kbfx



* Thu Jul 13 2006 Laurent MONTEL <lmontel@mandriva.com> 0.4.9-3
- Fix other mem leak

* Thu Jul 13 2006 Laurent MONTEL <lmontel@mandriva.com> 0.4.9-2
- Fix mem leak

* Sun Jun 04 2006 Laurent MONTEL <lmontel@mandriva.com> 0.4.9-1
- 0.4.9

* Mon Aug 08 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.4.7.2-3mdk
- fix qt3 lib path (lib64)
- --enable-final
- --disable-rpath

* Wed Aug 03 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.4.7.2-2mdk
- use a Mandriva-based theme by default, and add instructions (thanks Dovix)
- ship additional themes too

* Tue Aug 02 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.4.7.2-1mdk
- New release 0.4.7.2

* Mon Jul 25 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.4.5-1mdk
- 0.4.5

* Tue Jun 07 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.4.2-1mdk
- first package
